<template>
  <div :class="[
   styles[`size-${size}`],
    {
  [classes]: classes,
  [styles[`size-hd_${hd}`]] :hd,
  [styles[`size-lg_${lg}`]]: lg ,
  [styles[`size-md_${md}`]]: md,
  [styles[`size-sm_${sm}`]] :sm ,
  [styles[`size-smd_${smd}`]] :smd,
  [styles[`size-xs_${xs}`]] :xs,
  [styles[`size-xxs_${xxs}`]] :xxs,
  [styles[`size-sxxs_${sxxs}`]] :sxxs
  }]">
    <slot/>
  </div>
</template>

<script>
import { defineComponent } from 'vue'
import styles from './style.module.scss'

export default defineComponent(
  {
    props: {
      size: {
        type: String,
        required: false
      },
      hd: {
        type: String,
        required: false
      },
      lg: {
        type: String,
        required: false
      },
      md: {
        type: String,
        required: false
      },
      smd: {
        type: String,
        required: false
      },
      sm: {
        type: String,
        required: false
      },
      xs: {
        type: String,
        required: false
      },
      xxs: {
        type: String,
        required: false
      },
      sxxs: {
        type: String,
        required: false
      },
      space: {
        type: Boolean,
        required: false
      },
      classes: {
        type: String,
        required: false
      }
    },
    name: 'Cell',
    data () {
      return { styles }
    }
  }
)
</script>
